#if !defined(AFX_TABCTRL_H__D49FEF61_C92E_11D5_9AFA_00D04C390250__INCLUDED_)
#define AFX_TABCTRL_H__D49FEF61_C92E_11D5_9AFA_00D04C390250__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyList.h"
#include "MyControl.h"
#include "MyImageList.h"

/* **********************************************************************************
********************************************************************************** */

typedef enum _ENotifyTabCtrl
{
	TabCtrlNothing, 
	TabCtrlClickOnItem,
	TabCtrlClickOnIcon,
	TabCtrlClickRightOnIcon,
	TabCtrlChange	
} ENotifyTabCtrl;

class CMyTabCtrl : public CMyControl
{
	public:
		CMyImageList	imageList;

		CMyTabCtrl		(HWND hWndTab);
		CMyTabCtrl		();
		virtual ~CMyTabCtrl() { Reset(); }

		BOOL operator=(HWND hWnd);

		int  Add		(HWND hWndChild,char *title,BOOL show=FALSE);
		BOOL Sup		(int index,BOOL viewNear=TRUE);
		BOOL Rename		(int index,char *text);
		
		BOOL Reset		();

		int  FindPage	(char *title);

		HWND operator [](char *title);
		HWND operator [](int index) { return m_hWndChilds[index]; }

		ENotifyTabCtrl Notify (LPARAM lParam);

		int	 GetCurPage	();
		int	 GetNbPage	();
		BOOL ShowPage	(int index);

		void Highlight	(int index,BOOL state);
		BOOL SetImage   (int indexTab,int indexImage);

		int HitTest		(int x,int y,BOOL *isNoWhere,BOOL *isOnItem,BOOL *isOnItemIcon,BOOL *isOnItemLabel);
		
		BOOL iconIsButton;
	private:
		BOOL			m_firstChild;
		MyList<HWND>	m_hWndChilds;

		void Init();
};

#endif // !defined(AFX_TABCTRL_H__D49FEF61_C92E_11D5_9AFA_00D04C390250__INCLUDED_)
